import{s as O,n as j,o as K}from"../chunks/scheduler.9bc65507.js";import{S as q,i as z,g as n,s as m,r as J,A as W,h as o,f as t,c as v,j as k,u as F,x,k as y,y as b,a as r,v as Q,d as V,t as X,w as Y}from"../chunks/index.707bf1b6.js";import{I as Z}from"../chunks/IconCopyLink.d239c2d1.js";function ee(B){let l,T,s,i,w,h,R,g,H="BERTology",_,p,$=`There is a growing field of study concerned with investigating the inner working of large-scale transformers like BERT
(that some call “BERTology”). Some good examples of this field are:`,P,c,S=`<li>BERT Rediscovers the Classical NLP Pipeline by Ian Tenney, Dipanjan Das, Ellie Pavlick:
<a href="https://arxiv.org/abs/1905.05950" rel="nofollow">https://arxiv.org/abs/1905.05950</a></li> <li>Are Sixteen Heads Really Better than One? by Paul Michel, Omer Levy, Graham Neubig: <a href="https://arxiv.org/abs/1905.10650" rel="nofollow">https://arxiv.org/abs/1905.10650</a></li> <li>What Does BERT Look At? An Analysis of BERT’s Attention by Kevin Clark, Urvashi Khandelwal, Omer Levy, Christopher D.
Manning: <a href="https://arxiv.org/abs/1906.04341" rel="nofollow">https://arxiv.org/abs/1906.04341</a></li> <li>CAT-probing: A Metric-based Approach to Interpret How Pre-trained Models for Programming Language Attend Code Structure: <a href="https://arxiv.org/abs/2210.04633" rel="nofollow">https://arxiv.org/abs/2210.04633</a></li>`,L,f,G=`In order to help this new field develop, we have included a few additional features in the BERT/GPT/GPT-2 models to
help people access the inner representations, mainly adapted from the great work of Paul Michel
(<a href="https://arxiv.org/abs/1905.10650" rel="nofollow">https://arxiv.org/abs/1905.10650</a>):`,C,d,I=`<li>accessing all the hidden-states of BERT/GPT/GPT-2,</li> <li>accessing all the attention weights for each head of BERT/GPT/GPT-2,</li> <li>retrieving heads output values and gradients to be able to compute head importance score and prune head as explained
in <a href="https://arxiv.org/abs/1905.10650" rel="nofollow">https://arxiv.org/abs/1905.10650</a>.</li>`,E,u,N=`To help you understand and use these features, we have added a specific example script: <a href="https://github.com/huggingface/transformers/tree/main/examples/research_projects/bertology/run_bertology.py" rel="nofollow">bertology.py</a> while extract information and prune a model pre-trained on
GLUE.`,M;return h=new Z({}),{c(){l=n("meta"),T=m(),s=n("h1"),i=n("a"),w=n("span"),J(h.$$.fragment),R=m(),g=n("span"),g.textContent=H,_=m(),p=n("p"),p.textContent=$,P=m(),c=n("ul"),c.innerHTML=S,L=m(),f=n("p"),f.innerHTML=G,C=m(),d=n("ul"),d.innerHTML=I,E=m(),u=n("p"),u.innerHTML=N,this.h()},l(e){const a=W("svelte-1phssyn",document.head);l=o(a,"META",{name:!0,content:!0}),a.forEach(t),T=v(e),s=o(e,"H1",{class:!0});var A=k(s);i=o(A,"A",{id:!0,class:!0,href:!0});var U=k(i);w=o(U,"SPAN",{});var D=k(w);F(h.$$.fragment,D),D.forEach(t),U.forEach(t),R=v(A),g=o(A,"SPAN",{"data-svelte-h":!0}),x(g)!=="svelte-1pr1yoi"&&(g.textContent=H),A.forEach(t),_=v(e),p=o(e,"P",{"data-svelte-h":!0}),x(p)!=="svelte-e5vxoh"&&(p.textContent=$),P=v(e),c=o(e,"UL",{"data-svelte-h":!0}),x(c)!=="svelte-1e34lw"&&(c.innerHTML=S),L=v(e),f=o(e,"P",{"data-svelte-h":!0}),x(f)!=="svelte-1bavv9a"&&(f.innerHTML=G),C=v(e),d=o(e,"UL",{"data-svelte-h":!0}),x(d)!=="svelte-14erpmf"&&(d.innerHTML=I),E=v(e),u=o(e,"P",{"data-svelte-h":!0}),x(u)!=="svelte-7ztyw0"&&(u.innerHTML=N),this.h()},h(){y(l,"name","hf:doc:metadata"),y(l,"content",JSON.stringify(te)),y(i,"id","bertology"),y(i,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),y(i,"href","#bertology"),y(s,"class","relative group")},m(e,a){b(document.head,l),r(e,T,a),r(e,s,a),b(s,i),b(i,w),Q(h,w,null),b(s,R),b(s,g),r(e,_,a),r(e,p,a),r(e,P,a),r(e,c,a),r(e,L,a),r(e,f,a),r(e,C,a),r(e,d,a),r(e,E,a),r(e,u,a),M=!0},p:j,i(e){M||(V(h.$$.fragment,e),M=!0)},o(e){X(h.$$.fragment,e),M=!1},d(e){e&&(t(T),t(s),t(_),t(p),t(P),t(c),t(L),t(f),t(C),t(d),t(E),t(u)),t(l),Y(h)}}}const te={local:"bertology",title:"BERTology"};function ae(B){return K(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class le extends q{constructor(l){super(),z(this,l,ae,ee,O,{})}}export{le as component};
