import{s as ri,n as ui,o as ci}from"../chunks/scheduler.36a0863c.js";import{S as di,i as pi,g as o,s as a,r as d,A as mi,h as n,f as t,c as s,j as p,u as m,x as r,k as u,y as c,a as l,v as f,d as h,t as v,w as $}from"../chunks/index.9c13489a.js";import{I as ke}from"../chunks/IconCopyLink.ec74b340.js";import{C as g}from"../chunks/CodeBlock.8d45726b.js";function fi(yt){let _,ze,x,k,xe,q,$t,he,bt="Controlli su una Pull Request",Pe,H,wt="Quando apri una pull request sui 🤗 Transformers, vengono eseguiti un discreto numero di controlli per assicurarsi che la patch che stai aggiungendo non stia rompendo qualcosa di esistente. Questi controlli sono di quattro tipi:",Me,L,kt="<li>test regolari</li> <li>costruzione della documentazione</li> <li>stile del codice e della documentazione</li> <li>coerenza generale del repository</li>",Te,A,zt="In questo documento, cercheremo di spiegare quali sono i vari controlli e le loro ragioni, oltre a spiegare come eseguire il debug locale se uno di essi fallisce sulla tua PR.",qe,S,Pt="Nota che tutti richiedono un’installazione dev:",He,R,Le,E,Mt="o un’installazione modificabile:",Ae,U,Se,N,Tt="all’interno del repo Transformers.",Re,C,z,Ce,G,gt,ve,qt="Tests",Ee,W,Ht="Tutti i job che iniziano con <code>ci/circleci: run_tests_</code> eseguono parti della suite di test dei Transformers. Ognuno di questi job si concentra su una parte della libreria in un determinato ambiente: per esempio <code>ci/circleci: run_tests_pipelines_tf</code> esegue il test delle pipeline in un ambiente in cui è installato solo TensorFlow.",Ue,Z,Lt="Nota che per evitare di eseguire i test quando non ci sono cambiamenti reali nei moduli che si stanno testando, ogni volta viene eseguita solo una parte della suite di test: viene eseguita una utility per determinare le differenze nella libreria tra prima e dopo la PR (ciò che GitHub mostra nella scheda “Files changes”) e sceglie i test che sono stati impattati dalla diff. Questa utility può essere eseguita localmente con:",Ne,j,Ge,I,At="dalla root del repo Transformers. Di seguito ciò che farà:",We,Q,St="<li>Controlla per ogni file nel diff se le modifiche sono nel codice o solo nei commenti o nelle docstrings. Vengono mantenuti solo i file con modifiche reali al codice.</li> <li>Costruisce una mappa interna che fornisce per ogni file del codice sorgente della libreria tutti i file su cui ha un impatto ricorsivo. Si dice che il modulo A ha un impatto sul modulo B se il modulo B importa il modulo A. Per l’impatto ricorsivo, abbiamo bisogno di una catena di moduli che va dal modulo A al modulo B in cui ogni modulo importa il precedente.</li> <li>Applica questa mappa ai file raccolti nel passaggio 1, si ottiene l’elenco dei file del modello interessati dalla PR.</li> <li>Mappa ciascuno di questi file con i corrispondenti file di test e ottiene l’elenco dei test da eseguire.</li>",Ze,F,Rt="Quando esegui lo script in locale, dovresti ottenere la stampa dei risultati dei passi 1, 3 e 4 e quindi sapere quali test sono stati eseguiti. Lo script creerà anche un file chiamato <code>test_list.txt</code> che contiene l’elenco dei test da eseguire e che puoi eseguire localmente con il seguente comando:",je,B,Ie,J,Et="Nel caso in cui qualcosa sia sfuggito, l’intera suite di test viene eseguita quotidianamente.",Qe,y,P,ye,D,_t,$e,Ut="Build della documentazione",Fe,V,Nt="Il job <code>ci/circleci: build_doc</code> esegue una build della documentazione per assicurarsi che tutto sia a posto una volta che la PR è stata unita. Se questo passaggio fallisce, puoi controllare localmente entrando nella cartella <code>docs</code> del repo Transformers e digitare",Be,X,Je,Y,Gt="Sphinx non è noto per i suoi messaggi di errore chiari, quindi potrebbe essere necessario che provi alcune cose per trovare davvero la fonte dell’errore.",De,b,M,be,O,xt,ge,Wt="Stile del codice e della documentazione",Ve,K,Zt="La formattazione del codice viene applicata a tutti i file sorgenti, agli esempi e ai test usando <code>black</code> e <code>isort</code>. Abbiamo anche uno strumento personalizzato che si occupa della formattazione delle docstring e dei file <code>rst</code> (<code>utils/style_doc.py</code>), così come dell’ordine dei lazy imports eseguiti nei file <code>__init__.py</code> dei Transformers (<code>utils/custom_init_isort.py</code>). Tutto questo può essere lanciato eseguendo",Xe,ee,Ye,te,jt="I controlli della CI sono applicati all’interno del controllo <code>ci/circleci: check_code_quality</code>. Esegue anche <code>flake8</code>, che dà un’occhiata di base al codice e si lamenta se trova una variabile non definita o non utilizzata. Per eseguire questo controllo localmente, usare",Oe,ie,Ke,le,It="Questa operazione può richiedere molto tempo, quindi per eseguire la stessa operazione solo sui file modificati nel branch corrente, eseguire",et,oe,tt,ne,Qt="Quest’ultimo comando eseguirà anche tutti i controlli aggiuntivi per la consistenza del repository. Diamogli un’occhiata.",it,w,T,we,ae,Ct,_e,Ft="Coerenza del repository",lt,se,Bt="All’interno sono raggruppati tutti i test per assicurarsi che la tua PR lasci il repository in un buono stato ed è eseguito dal controllo <code>ci/circleci: check_repository_consistency</code>. Puoi eseguire localmente questo controllo eseguendo quanto segue:",ot,re,nt,ue,Jt="Questo verifica che:",at,ce,Dt="<li>Tutti gli oggetti aggiunti all’init sono documentati (eseguito da <code>utils/check_repo.py</code>)</li> <li>Tutti i file <code>__init__.py</code> hanno lo stesso contenuto nelle loro due sezioni (eseguito da <code>utils/check_inits.py</code>)</li> <li>Tutto il codice identificato come copia da un altro modulo è coerente con l’originale (eseguito da <code>utils/check_copies.py</code>)</li> <li>Le traduzioni dei README e l’indice della documentazione hanno lo stesso elenco di modelli del README principale (eseguito da <code>utils/check_copies.py</code>)</li> <li>Le tabelle autogenerate nella documentazione sono aggiornate (eseguito da <code>utils/check_table.py</code>)</li> <li>La libreria ha tutti gli oggetti disponibili anche se non tutte le dipendenze opzionali sono installate (eseguito da <code>utils/check_dummies.py</code>)</li>",st,de,Vt="Se questo controllo fallisce, le prime due voci richiedono una correzione manuale, mentre le ultime quattro possono essere corrette automaticamente per te eseguendo il comando",rt,pe,ut,me,Xt="Ulteriori controlli riguardano le PR che aggiungono nuovi modelli, principalmente che:",ct,fe,Yt="<li>Tutti i modelli aggiunti sono in un Auto-mapping (eseguita da <code>utils/check_repo.py</code>)</li> <li>Tutti i modelli sono testati correttamente (eseguito da <code>utils/check_repo.py</code>)</li>",dt;return q=new ke({}),R=new g({props:{code:"cGlwJTIwaW5zdGFsbCUyMHRyYW5zZm9ybWVycyU1QmRldiU1RA==",highlighted:"pip install transformers[dev]"}}),U=new g({props:{code:"cGlwJTIwaW5zdGFsbCUyMC1lJTIwLiU1QmRldiU1RA==",highlighted:"pip install -e .[dev]"}}),G=new ke({}),j=new g({props:{code:"cHl0aG9uJTIwdXRpbHMlMkZ0ZXN0c19mZXRjaGVyLnB5",highlighted:"python utils/tests_fetcher.py"}}),B=new g({props:{code:"cHl0aG9uJTIwLW0lMjBweXRlc3QlMjAtbiUyMDglMjAtLWRpc3QlM0Rsb2FkZmlsZSUyMC1yQSUyMC1zJTIwJTI0KGNhdCUyMHRlc3RfbGlzdC50eHQp",highlighted:'python -m pytest -n 8 --dist=loadfile -rA -s $(<span class="hljs-built_in">cat</span> test_list.txt)'}}),D=new ke({}),X=new g({props:{code:"bWFrZSUyMGh0bWw=",highlighted:"make html"}}),O=new ke({}),ee=new g({props:{code:"bWFrZSUyMHN0eWxl",highlighted:"make style"}}),ie=new g({props:{code:"bWFrZSUyMHF1YWxpdHk=",highlighted:"make quality"}}),oe=new g({props:{code:"bWFrZSUyMGZpeHVw",highlighted:"make fixup"}}),ae=new ke({}),re=new g({props:{code:"bWFrZSUyMHJlcG8tY29uc2lzdGVuY3k=",highlighted:"make repo-consistency"}}),pe=new g({props:{code:"bWFrZSUyMGZpeC1jb3BpZXM=",highlighted:"make fix-copies"}}),{c(){_=o("meta"),ze=a(),x=o("h1"),k=o("a"),xe=o("span"),d(q.$$.fragment),$t=a(),he=o("span"),he.textContent=bt,Pe=a(),H=o("p"),H.textContent=wt,Me=a(),L=o("ul"),L.innerHTML=kt,Te=a(),A=o("p"),A.textContent=zt,qe=a(),S=o("p"),S.textContent=Pt,He=a(),d(R.$$.fragment),Le=a(),E=o("p"),E.textContent=Mt,Ae=a(),d(U.$$.fragment),Se=a(),N=o("p"),N.textContent=Tt,Re=a(),C=o("h2"),z=o("a"),Ce=o("span"),d(G.$$.fragment),gt=a(),ve=o("span"),ve.textContent=qt,Ee=a(),W=o("p"),W.innerHTML=Ht,Ue=a(),Z=o("p"),Z.textContent=Lt,Ne=a(),d(j.$$.fragment),Ge=a(),I=o("p"),I.textContent=At,We=a(),Q=o("ol"),Q.innerHTML=St,Ze=a(),F=o("p"),F.innerHTML=Rt,je=a(),d(B.$$.fragment),Ie=a(),J=o("p"),J.textContent=Et,Qe=a(),y=o("h2"),P=o("a"),ye=o("span"),d(D.$$.fragment),_t=a(),$e=o("span"),$e.textContent=Ut,Fe=a(),V=o("p"),V.innerHTML=Nt,Be=a(),d(X.$$.fragment),Je=a(),Y=o("p"),Y.textContent=Gt,De=a(),b=o("h2"),M=o("a"),be=o("span"),d(O.$$.fragment),xt=a(),ge=o("span"),ge.textContent=Wt,Ve=a(),K=o("p"),K.innerHTML=Zt,Xe=a(),d(ee.$$.fragment),Ye=a(),te=o("p"),te.innerHTML=jt,Oe=a(),d(ie.$$.fragment),Ke=a(),le=o("p"),le.textContent=It,et=a(),d(oe.$$.fragment),tt=a(),ne=o("p"),ne.textContent=Qt,it=a(),w=o("h2"),T=o("a"),we=o("span"),d(ae.$$.fragment),Ct=a(),_e=o("span"),_e.textContent=Ft,lt=a(),se=o("p"),se.innerHTML=Bt,ot=a(),d(re.$$.fragment),nt=a(),ue=o("p"),ue.textContent=Jt,at=a(),ce=o("ul"),ce.innerHTML=Dt,st=a(),de=o("p"),de.textContent=Vt,rt=a(),d(pe.$$.fragment),ut=a(),me=o("p"),me.textContent=Xt,ct=a(),fe=o("ul"),fe.innerHTML=Yt,this.h()},l(e){const i=mi("svelte-1phssyn",document.head);_=n(i,"META",{name:!0,content:!0}),i.forEach(t),ze=s(e),x=n(e,"H1",{class:!0});var pt=p(x);k=n(pt,"A",{id:!0,class:!0,href:!0});var Ot=p(k);xe=n(Ot,"SPAN",{});var Kt=p(xe);m(q.$$.fragment,Kt),Kt.forEach(t),Ot.forEach(t),$t=s(pt),he=n(pt,"SPAN",{"data-svelte-h":!0}),r(he)!=="svelte-riwi81"&&(he.textContent=bt),pt.forEach(t),Pe=s(e),H=n(e,"P",{"data-svelte-h":!0}),r(H)!=="svelte-x884y7"&&(H.textContent=wt),Me=s(e),L=n(e,"UL",{"data-svelte-h":!0}),r(L)!=="svelte-10iagbn"&&(L.innerHTML=kt),Te=s(e),A=n(e,"P",{"data-svelte-h":!0}),r(A)!=="svelte-120kdh4"&&(A.textContent=zt),qe=s(e),S=n(e,"P",{"data-svelte-h":!0}),r(S)!=="svelte-12o1tek"&&(S.textContent=Pt),He=s(e),m(R.$$.fragment,e),Le=s(e),E=n(e,"P",{"data-svelte-h":!0}),r(E)!=="svelte-ddz7hq"&&(E.textContent=Mt),Ae=s(e),m(U.$$.fragment,e),Se=s(e),N=n(e,"P",{"data-svelte-h":!0}),r(N)!=="svelte-7b674g"&&(N.textContent=Tt),Re=s(e),C=n(e,"H2",{class:!0});var mt=p(C);z=n(mt,"A",{id:!0,class:!0,href:!0});var ei=p(z);Ce=n(ei,"SPAN",{});var ti=p(Ce);m(G.$$.fragment,ti),ti.forEach(t),ei.forEach(t),gt=s(mt),ve=n(mt,"SPAN",{"data-svelte-h":!0}),r(ve)!=="svelte-1a46one"&&(ve.textContent=qt),mt.forEach(t),Ee=s(e),W=n(e,"P",{"data-svelte-h":!0}),r(W)!=="svelte-zuupn6"&&(W.innerHTML=Ht),Ue=s(e),Z=n(e,"P",{"data-svelte-h":!0}),r(Z)!=="svelte-9imjiu"&&(Z.textContent=Lt),Ne=s(e),m(j.$$.fragment,e),Ge=s(e),I=n(e,"P",{"data-svelte-h":!0}),r(I)!=="svelte-1gwmfa5"&&(I.textContent=At),We=s(e),Q=n(e,"OL",{"data-svelte-h":!0}),r(Q)!=="svelte-37dzw1"&&(Q.innerHTML=St),Ze=s(e),F=n(e,"P",{"data-svelte-h":!0}),r(F)!=="svelte-1le8a4"&&(F.innerHTML=Rt),je=s(e),m(B.$$.fragment,e),Ie=s(e),J=n(e,"P",{"data-svelte-h":!0}),r(J)!=="svelte-1yo2yw2"&&(J.textContent=Et),Qe=s(e),y=n(e,"H2",{class:!0});var ft=p(y);P=n(ft,"A",{id:!0,class:!0,href:!0});var ii=p(P);ye=n(ii,"SPAN",{});var li=p(ye);m(D.$$.fragment,li),li.forEach(t),ii.forEach(t),_t=s(ft),$e=n(ft,"SPAN",{"data-svelte-h":!0}),r($e)!=="svelte-cx2cqq"&&($e.textContent=Ut),ft.forEach(t),Fe=s(e),V=n(e,"P",{"data-svelte-h":!0}),r(V)!=="svelte-txjq72"&&(V.innerHTML=Nt),Be=s(e),m(X.$$.fragment,e),Je=s(e),Y=n(e,"P",{"data-svelte-h":!0}),r(Y)!=="svelte-1f2ovqk"&&(Y.textContent=Gt),De=s(e),b=n(e,"H2",{class:!0});var ht=p(b);M=n(ht,"A",{id:!0,class:!0,href:!0});var oi=p(M);be=n(oi,"SPAN",{});var ni=p(be);m(O.$$.fragment,ni),ni.forEach(t),oi.forEach(t),xt=s(ht),ge=n(ht,"SPAN",{"data-svelte-h":!0}),r(ge)!=="svelte-1p8xy50"&&(ge.textContent=Wt),ht.forEach(t),Ve=s(e),K=n(e,"P",{"data-svelte-h":!0}),r(K)!=="svelte-1ezvqkz"&&(K.innerHTML=Zt),Xe=s(e),m(ee.$$.fragment,e),Ye=s(e),te=n(e,"P",{"data-svelte-h":!0}),r(te)!=="svelte-1k40kd3"&&(te.innerHTML=jt),Oe=s(e),m(ie.$$.fragment,e),Ke=s(e),le=n(e,"P",{"data-svelte-h":!0}),r(le)!=="svelte-1k82vv7"&&(le.textContent=It),et=s(e),m(oe.$$.fragment,e),tt=s(e),ne=n(e,"P",{"data-svelte-h":!0}),r(ne)!=="svelte-3ydaun"&&(ne.textContent=Qt),it=s(e),w=n(e,"H2",{class:!0});var vt=p(w);T=n(vt,"A",{id:!0,class:!0,href:!0});var ai=p(T);we=n(ai,"SPAN",{});var si=p(we);m(ae.$$.fragment,si),si.forEach(t),ai.forEach(t),Ct=s(vt),_e=n(vt,"SPAN",{"data-svelte-h":!0}),r(_e)!=="svelte-117jh2x"&&(_e.textContent=Ft),vt.forEach(t),lt=s(e),se=n(e,"P",{"data-svelte-h":!0}),r(se)!=="svelte-myx6g1"&&(se.innerHTML=Bt),ot=s(e),m(re.$$.fragment,e),nt=s(e),ue=n(e,"P",{"data-svelte-h":!0}),r(ue)!=="svelte-887q0w"&&(ue.textContent=Jt),at=s(e),ce=n(e,"UL",{"data-svelte-h":!0}),r(ce)!=="svelte-1ejvxn2"&&(ce.innerHTML=Dt),st=s(e),de=n(e,"P",{"data-svelte-h":!0}),r(de)!=="svelte-1xmtr04"&&(de.textContent=Vt),rt=s(e),m(pe.$$.fragment,e),ut=s(e),me=n(e,"P",{"data-svelte-h":!0}),r(me)!=="svelte-w6onvg"&&(me.textContent=Xt),ct=s(e),fe=n(e,"UL",{"data-svelte-h":!0}),r(fe)!=="svelte-cbf9y"&&(fe.innerHTML=Yt),this.h()},h(){u(_,"name","hf:doc:metadata"),u(_,"content",JSON.stringify(hi)),u(k,"id","controlli-su-una-pull-request"),u(k,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(k,"href","#controlli-su-una-pull-request"),u(x,"class","relative group"),u(z,"id","tests"),u(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(z,"href","#tests"),u(C,"class","relative group"),u(P,"id","build-della-documentazione"),u(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(P,"href","#build-della-documentazione"),u(y,"class","relative group"),u(M,"id","stile-del-codice-e-della-documentazione"),u(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(M,"href","#stile-del-codice-e-della-documentazione"),u(b,"class","relative group"),u(T,"id","coerenza-del-repository"),u(T,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(T,"href","#coerenza-del-repository"),u(w,"class","relative group")},m(e,i){c(document.head,_),l(e,ze,i),l(e,x,i),c(x,k),c(k,xe),f(q,xe,null),c(x,$t),c(x,he),l(e,Pe,i),l(e,H,i),l(e,Me,i),l(e,L,i),l(e,Te,i),l(e,A,i),l(e,qe,i),l(e,S,i),l(e,He,i),f(R,e,i),l(e,Le,i),l(e,E,i),l(e,Ae,i),f(U,e,i),l(e,Se,i),l(e,N,i),l(e,Re,i),l(e,C,i),c(C,z),c(z,Ce),f(G,Ce,null),c(C,gt),c(C,ve),l(e,Ee,i),l(e,W,i),l(e,Ue,i),l(e,Z,i),l(e,Ne,i),f(j,e,i),l(e,Ge,i),l(e,I,i),l(e,We,i),l(e,Q,i),l(e,Ze,i),l(e,F,i),l(e,je,i),f(B,e,i),l(e,Ie,i),l(e,J,i),l(e,Qe,i),l(e,y,i),c(y,P),c(P,ye),f(D,ye,null),c(y,_t),c(y,$e),l(e,Fe,i),l(e,V,i),l(e,Be,i),f(X,e,i),l(e,Je,i),l(e,Y,i),l(e,De,i),l(e,b,i),c(b,M),c(M,be),f(O,be,null),c(b,xt),c(b,ge),l(e,Ve,i),l(e,K,i),l(e,Xe,i),f(ee,e,i),l(e,Ye,i),l(e,te,i),l(e,Oe,i),f(ie,e,i),l(e,Ke,i),l(e,le,i),l(e,et,i),f(oe,e,i),l(e,tt,i),l(e,ne,i),l(e,it,i),l(e,w,i),c(w,T),c(T,we),f(ae,we,null),c(w,Ct),c(w,_e),l(e,lt,i),l(e,se,i),l(e,ot,i),f(re,e,i),l(e,nt,i),l(e,ue,i),l(e,at,i),l(e,ce,i),l(e,st,i),l(e,de,i),l(e,rt,i),f(pe,e,i),l(e,ut,i),l(e,me,i),l(e,ct,i),l(e,fe,i),dt=!0},p:ui,i(e){dt||(h(q.$$.fragment,e),h(R.$$.fragment,e),h(U.$$.fragment,e),h(G.$$.fragment,e),h(j.$$.fragment,e),h(B.$$.fragment,e),h(D.$$.fragment,e),h(X.$$.fragment,e),h(O.$$.fragment,e),h(ee.$$.fragment,e),h(ie.$$.fragment,e),h(oe.$$.fragment,e),h(ae.$$.fragment,e),h(re.$$.fragment,e),h(pe.$$.fragment,e),dt=!0)},o(e){v(q.$$.fragment,e),v(R.$$.fragment,e),v(U.$$.fragment,e),v(G.$$.fragment,e),v(j.$$.fragment,e),v(B.$$.fragment,e),v(D.$$.fragment,e),v(X.$$.fragment,e),v(O.$$.fragment,e),v(ee.$$.fragment,e),v(ie.$$.fragment,e),v(oe.$$.fragment,e),v(ae.$$.fragment,e),v(re.$$.fragment,e),v(pe.$$.fragment,e),dt=!1},d(e){e&&(t(ze),t(x),t(Pe),t(H),t(Me),t(L),t(Te),t(A),t(qe),t(S),t(He),t(Le),t(E),t(Ae),t(Se),t(N),t(Re),t(C),t(Ee),t(W),t(Ue),t(Z),t(Ne),t(Ge),t(I),t(We),t(Q),t(Ze),t(F),t(je),t(Ie),t(J),t(Qe),t(y),t(Fe),t(V),t(Be),t(Je),t(Y),t(De),t(b),t(Ve),t(K),t(Xe),t(Ye),t(te),t(Oe),t(Ke),t(le),t(et),t(tt),t(ne),t(it),t(w),t(lt),t(se),t(ot),t(nt),t(ue),t(at),t(ce),t(st),t(de),t(rt),t(ut),t(me),t(ct),t(fe)),t(_),$(q),$(R,e),$(U,e),$(G),$(j,e),$(B,e),$(D),$(X,e),$(O),$(ee,e),$(ie,e),$(oe,e),$(ae),$(re,e),$(pe,e)}}}const hi={local:"controlli-su-una-pull-request",sections:[{local:"tests",title:"Tests"},{local:"build-della-documentazione",title:"Build della documentazione"},{local:"stile-del-codice-e-della-documentazione",title:"Stile del codice e della documentazione"},{local:"coerenza-del-repository",title:"Coerenza del repository"}],title:"Controlli su una Pull Request"};function vi(yt){return ci(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ci extends di{constructor(_){super(),pi(this,_,vi,fi,ri,{})}}export{Ci as component};
