import{s as Z,n as tt,o as et}from"../chunks/scheduler.56730f09.js";import{S as dt,i as nt,g as o,s as a,r as ot,A as ct,h as c,f as e,c as r,j as q,u as at,x as l,k as L,y as M,a as n,v as rt,d as lt,t as it,w as st}from"../chunks/index.1f144517.js";import{I as _t}from"../chunks/IconCopyLink.79d3861e.js";function ht(I){let i,H,s,_,z,h,Y,k,U="패딩과 잘라내기",y,u,j="배치 입력은 길이가 다른 경우가 많아서 고정 크기 텐서로 변환할 수 없습니다. 패딩과 잘라내기는 다양한 길이의 배치에서 직사각형 텐서를 생성할 수 있도록 이 문제를 해결하는 전략입니다. 패딩은 특수한 <strong>패딩 토큰</strong>을 추가하여 짧은 시퀀스가 배치에서 가장 긴 시퀀스 또는 모델에서 허용하는 최대 길이와 동일한 길이를 갖도록 합니다. 잘라내기는 긴 시퀀스를 잘라내어 패딩과 다른 방식으로 시퀀스의 길이를 동일하게 합니다.",w,p,F="대부분의 경우 배치에 가장 긴 시퀀스의 길이로 패딩하고 모델이 허용할 수 있는 최대 길이로 잘라내는 것이 잘 작동합니다. 그러나 필요하다면 API가 지원하는 더 많은 전략을 사용할 수 있습니다. 필요한 인수는 <code>padding</code>, <code>truncation</code>, <code>max_length</code> 세 가지입니다.",A,m,B="<code>padding</code> 인수는 패딩을 제어합니다. 불리언 또는 문자열일 수 있습니다:",C,g,J="<li><code>True</code> 또는 <code>&#39;longest&#39;</code>: 배치에서 가장 긴 시퀀스로 패딩합니다(단일 시퀀스만 제공하는 경우 패딩이 적용되지 않습니다).</li> <li><code>&#39;max_length&#39;</code>: <code>max_length</code> 인수가 지정한 길이로 패딩하거나, <code>max_length</code>가 제공되지 않은 경우(<code>max_length=None</code>) 모델에서 허용되는 최대 길이로 패딩합니다. 단일 시퀀스만 제공하는 경우에도 패딩이 적용됩니다.</li> <li><code>False</code> 또는 <code>&#39;do_not_pad&#39;</code>: 패딩이 적용되지 않습니다. 이것이 기본 동작입니다.</li>",E,T,O="<code>truncation</code> 인수는 잘라낼 방법을 정합니다. 불리언 또는 문자열일 수 있습니다:",P,x,D=`<li><code>True</code> 또는 <code>longest_first</code>: <code>max_length</code> 인수가 지정한 최대 길이로 잘라내거나,
<code>max_length</code>가 제공되지 않은 경우(<code>max_length=None</code>) 모델에서 허용되는 최대 길이로 잘라냅니다.
시퀀스 쌍에서 가장 긴 시퀀스의 토큰을 적절한 길이에 도달할 때까지 하나씩 제거합니다.</li> <li><code>&#39;only_second&#39;</code>: <code>max_length</code> 인수가 지정한 최대 길이로 잘라내거나,
<code>max_length</code>가 제공되지 않은 경우(<code>max_length=None</code>) 모델에서 허용되는 최대 길이로 잘라냅니다.
시퀀스 쌍(또는 시퀀스 쌍의 배치)가 제공된 경우 쌍의 두 번째 문장만 잘라냅니다.</li> <li><code>&#39;only_first&#39;</code>: <code>max_length</code> 인수가 지정한 최대 길이로 잘라내거나,
<code>max_length</code>가 제공되지 않은 경우(<code>max_length=None</code>) 모델에서 허용되는 최대 길이로 잘라냅니다.
시퀀스 쌍(또는 시퀀스 쌍의 배치)가 제공된 경우 쌍의 첫 번째 문장만 잘라냅니다.</li> <li><code>False</code> 또는 <code>&#39;do_not_truncate&#39;</code>: 잘라내기를 적용하지 않습니다. 이것이 기본 동작입니다.</li>`,S,f,K="<code>max_length</code> 인수는 패딩 및 잘라내기를 적용할 길이를 제어합니다. 이 인수는 정수 또는 <code>None</code>일 수 있으며, <code>None</code>일 경우 모델이 허용할 수 있는 최대 길이로 기본값이 설정됩니다. 모델에 특정한 최대 입력 길이가 없는 경우 <code>max_length</code>에 대한 잘라내기 또는 패딩이 비활성화됩니다.",$,v,Q=`다음 표에는 패딩 및 잘라내기를 설정하는 권장 방법이 요약되어 있습니다.
입력으로 시퀀스 쌍을 사용하는 경우, 다음 예제에서 <code>truncation=True</code>를 <code>[&#39;only_first&#39;, &#39;only_second&#39;, &#39;longest_first&#39;]</code>에서 선택한 <code>STRATEGY</code>, 즉 <code>truncation=&#39;only_second&#39;</code> 또는 <code>truncation=&#39;longest_first&#39;</code>로 바꾸면 앞서 설명한 대로 쌍의 두 시퀀스가 잘리는 방식을 제어할 수 있습니다.`,N,b,V="<thead><tr><th>잘라내기</th> <th>패딩</th> <th>사용 방법</th></tr></thead> <tbody><tr><td>잘라내기 없음</td> <td>패딩 없음</td> <td><code>tokenizer(batch_sentences)</code></td></tr> <tr><td></td> <td>배치 내 최대 길이로 패딩</td> <td><code>tokenizer(batch_sentences, padding=True)</code> 또는</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, padding=&#39;longest&#39;)</code></td></tr> <tr><td></td> <td>모델의 최대 입력 길이로 패딩</td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;)</code></td></tr> <tr><td></td> <td>특정 길이로 패딩</td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;, max_length=42)</code></td></tr> <tr><td></td> <td>다양한 길이로 패딩</td> <td>`tokenizer(batch_sentences, padding=True, pad_to_multiple_of=8)</td></tr> <tr><td>모델의 최대 입력 길이로 잘라내기</td> <td>패딩 없음</td> <td><code>tokenizer(batch_sentences, truncation=True)</code> 또는</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, truncation=STRATEGY)</code></td></tr> <tr><td></td> <td>배치 내 최대 길이로 패딩</td> <td><code>tokenizer(batch_sentences, padding=True, truncation=True)</code> 또는</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, padding=True, truncation=STRATEGY)</code></td></tr> <tr><td></td> <td>모델의 최대 입력 길이로 패딩</td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;, truncation=True)</code> 또는</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;, truncation=STRATEGY)</code></td></tr> <tr><td></td> <td>특정 길이로 패딩</td> <td>사용 불가</td></tr> <tr><td>특정 길이로 잘라내기</td> <td>패딩 없음</td> <td><code>tokenizer(batch_sentences, truncation=True, max_length=42)</code> 또는</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, truncation=STRATEGY, max_length=42)</code></td></tr> <tr><td></td> <td>배치 내 최대 길이로 패딩</td> <td><code>tokenizer(batch_sentences, padding=True, truncation=True, max_length=42)</code> 또는</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, padding=True, truncation=STRATEGY, max_length=42)</code></td></tr> <tr><td></td> <td>모델의 최대 입력 길이로 패딩</td> <td>사용 불가</td></tr> <tr><td></td> <td>특정 길이로 패딩</td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;, truncation=True, max_length=42)</code> 또는</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;, truncation=STRATEGY, max_length=42)</code></td></tr></tbody>",R;return h=new _t({}),{c(){i=o("meta"),H=a(),s=o("h1"),_=o("a"),z=o("span"),ot(h.$$.fragment),Y=a(),k=o("span"),k.textContent=U,y=a(),u=o("p"),u.innerHTML=j,w=a(),p=o("p"),p.innerHTML=F,A=a(),m=o("p"),m.innerHTML=B,C=a(),g=o("ul"),g.innerHTML=J,E=a(),T=o("p"),T.innerHTML=O,P=a(),x=o("ul"),x.innerHTML=D,S=a(),f=o("p"),f.innerHTML=K,$=a(),v=o("p"),v.innerHTML=Q,N=a(),b=o("table"),b.innerHTML=V,this.h()},l(t){const d=ct("svelte-1phssyn",document.head);i=c(d,"META",{name:!0,content:!0}),d.forEach(e),H=r(t),s=c(t,"H1",{class:!0});var G=q(s);_=c(G,"A",{id:!0,class:!0,href:!0});var W=q(_);z=c(W,"SPAN",{});var X=q(z);at(h.$$.fragment,X),X.forEach(e),W.forEach(e),Y=r(G),k=c(G,"SPAN",{"data-svelte-h":!0}),l(k)!=="svelte-43xib4"&&(k.textContent=U),G.forEach(e),y=r(t),u=c(t,"P",{"data-svelte-h":!0}),l(u)!=="svelte-1kgkqqg"&&(u.innerHTML=j),w=r(t),p=c(t,"P",{"data-svelte-h":!0}),l(p)!=="svelte-1y0dvow"&&(p.innerHTML=F),A=r(t),m=c(t,"P",{"data-svelte-h":!0}),l(m)!=="svelte-w9e6b"&&(m.innerHTML=B),C=r(t),g=c(t,"UL",{"data-svelte-h":!0}),l(g)!=="svelte-1itic58"&&(g.innerHTML=J),E=r(t),T=c(t,"P",{"data-svelte-h":!0}),l(T)!=="svelte-1qg04jt"&&(T.innerHTML=O),P=r(t),x=c(t,"UL",{"data-svelte-h":!0}),l(x)!=="svelte-wz5ar8"&&(x.innerHTML=D),S=r(t),f=c(t,"P",{"data-svelte-h":!0}),l(f)!=="svelte-1qbqwzu"&&(f.innerHTML=K),$=r(t),v=c(t,"P",{"data-svelte-h":!0}),l(v)!=="svelte-5p7u51"&&(v.innerHTML=Q),N=r(t),b=c(t,"TABLE",{"data-svelte-h":!0}),l(b)!=="svelte-1hl77c2"&&(b.innerHTML=V),this.h()},h(){L(i,"name","hf:doc:metadata"),L(i,"content",JSON.stringify(ut)),L(_,"id","padding-and-truncation"),L(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),L(_,"href","#padding-and-truncation"),L(s,"class","relative group")},m(t,d){M(document.head,i),n(t,H,d),n(t,s,d),M(s,_),M(_,z),rt(h,z,null),M(s,Y),M(s,k),n(t,y,d),n(t,u,d),n(t,w,d),n(t,p,d),n(t,A,d),n(t,m,d),n(t,C,d),n(t,g,d),n(t,E,d),n(t,T,d),n(t,P,d),n(t,x,d),n(t,S,d),n(t,f,d),n(t,$,d),n(t,v,d),n(t,N,d),n(t,b,d),R=!0},p:tt,i(t){R||(lt(h.$$.fragment,t),R=!0)},o(t){it(h.$$.fragment,t),R=!1},d(t){t&&(e(H),e(s),e(y),e(u),e(w),e(p),e(A),e(m),e(C),e(g),e(E),e(T),e(P),e(x),e(S),e(f),e($),e(v),e(N),e(b)),e(i),st(h)}}}const ut={local:"padding-and-truncation",title:"패딩과 잘라내기"};function pt(I){return et(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class xt extends dt{constructor(i){super(),nt(this,i,pt,ht,Z,{})}}export{xt as component};
